English
Continue in the app
Be The First To Get Support Updates
Want to know about the latest technical content and software updates?

FAQ: Which geoprocessing tools require a processor (CPU) that supports AVX instruction set extensions?

Question

Which geoprocessing tools require a processor (CPU) that supports AVX instruction set extensions?

Answer

In ArcGIS Pro 3.0, several geoprocessing tools require Advanced Vector Extensions (AVX) instruction set extensions. These instructions improve the runtime of the tools by ten times or more in typical conditions by performing simultaneous scalar operations using vector math operations.
The following geoprocessing tools require a processor (CPU) that supports AVX instructions:

  • Geographically Weighted Regression (GWR)
  • Multiscale Geographically Weighted Regression (MGWR)
  • Generalized Linear Regression (GLR)

If the processor running the tool does not support AVX, Error 110472 is returned.

Error 110472: Invalid hardware architecture was detected.

This tool uses Advanced Vector Extensions (AVX) instruction set extensions for mathematical operations. Your processor does not support these instructions.

The vast majority of Intel and Advanced Micro Devices (AMD) desktop/laptop processors manufactured since 2011 support AVX instructions.  There are various expansions to AVX, such as AVX2 and AVX-512, but these expansions are not required and are not used by the tools.

Related Information

Last Published: 7/6/2022

Article ID: 000027635

Software: ArcGIS Pro 3.0